## Apache Zeta Components Manual :: Docs For Class ezcMailComposerOptions

### Mail::ezcMailComposerOptions

### Class ezcMailComposerOptions

Class containing the options for the mail composer.

Example of how to use the composer options:

1. $options=new ezcMailComposerOptions ();
2. $options->automaticImageInclude=false;// default value is true
4. $mail=new ezcMailComposer ($options);

Alternatively, you can set the options direcly:

1. $mail=new ezcMailComposer ();
2. $mail->options->automaticImageInclude=false;

Source for this file: /Mail/src/options/composer_options.php

    ezcBaseOptions
       |
       --ezcMailOptions
          |
          --ezcMailComposerOptions

Version: | //autogen//

### Properties

bool | read/write | `$automaticImageInclude` Specifies whether to include in the generated mail the content of the files specified with "file://" in image tags. Default value is true (the contents are included).

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcMailComposerOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcMailOptions
public ezcMailOptions | `ezcMailOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcMailComposerOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcMailOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3